Last Comment Bug 738695 - Remove some redundant and unused IME code: mComposing and returnIMEQueryResult
: Remove some redundant and unused IME code: mComposing and returnIMEQueryResult
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: Keyboards and IME (show other bugs)
: Trunk
: ARM Android
: -- normal (vote)
: Firefox 14
Assigned To: Chris Peterson [:cpeterson]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-23 10:30 PDT by Chris Peterson [:cpeterson]
Modified: 2012-04-24 04:51 PDT (History)
3 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
bug-738695-part-1-remove-unused-returnIMQueryResult.patch (3.76 KB, patch)
2012-03-23 10:34 PDT, Chris Peterson [:cpeterson]
blassey.bugs: review+
Details | Diff | Splinter Review
bug-738695-part-2-unify-redundant-mComposing-mCompositionStart.patch (8.09 KB, patch)
2012-03-23 10:34 PDT, Chris Peterson [:cpeterson]
blassey.bugs: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review
bug-738695-part-1-remove-unused-returnIMQueryResult-v2.patch (3.76 KB, patch)
2012-03-23 14:03 PDT, Chris Peterson [:cpeterson]
cpeterson: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Chris Peterson [:cpeterson] 2012-03-23 10:30:33 PDT
These patches chip away more IME cruft I stumbled upon when fixing other bugs.
Comment 1 Chris Peterson [:cpeterson] 2012-03-23 10:34:02 PDT
Created attachment 608757 [details] [diff] [review]
bug-738695-part-1-remove-unused-returnIMQueryResult.patch

XUL Fennec uses returnIMEQueryResult() to get Gecko's selected text, but Native Fennec doesn't need this code because the Java code already knows the current selection.
Comment 2 Chris Peterson [:cpeterson] 2012-03-23 10:34:43 PDT
Created attachment 608758 [details] [diff] [review]
bug-738695-part-2-unify-redundant-mComposing-mCompositionStart.patch

Unify redundant IME mComposing and mCompositionStart variables.
Comment 3 Brad Lassey [:blassey] (use needinfo?) 2012-03-23 13:09:58 PDT
Comment on attachment 608757 [details] [diff] [review]
bug-738695-part-1-remove-unused-returnIMQueryResult.patch

Review of attachment 608757 [details] [diff] [review]:
-----------------------------------------------------------------

::: mobile/android/base/GeckoAppShell.java
@@ +693,5 @@
>          GeckoApp.mAppContext.moveTaskToBack(true);
>      }
>  
>      public static void returnIMEQueryResult(String result, int selectionStart, int selectionLength) {
> +        // TODO: Remove returnIMEQueryResult() and corresponding JNI code when XUL Fennec is EOL'd.

remove this comment.
Comment 4 Chris Peterson [:cpeterson] 2012-03-23 14:03:47 PDT
Created attachment 608858 [details] [diff] [review]
bug-738695-part-1-remove-unused-returnIMQueryResult-v2.patch

Removed TODO/EOL comment.

Carry forward r=blassey
Comment 5 Chris Peterson [:cpeterson] 2012-03-26 10:46:10 PDT
checkin-needed for mozilla-central
Comment 6 Chris Peterson [:cpeterson] 2012-03-26 10:47:32 PDT
Comment on attachment 608858 [details] [diff] [review]
bug-738695-part-1-remove-unused-returnIMQueryResult-v2.patch

[Approval Request Comment]
Regression caused by (bug #): N/A
User impact if declined: This is a code refactoring with no user visible changes.
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky): Merging subsequent patches from m-c to m-a will be more difficult.
String changes made by this patch: None
Comment 7 Chris Peterson [:cpeterson] 2012-03-26 10:47:47 PDT
Comment on attachment 608758 [details] [diff] [review]
bug-738695-part-2-unify-redundant-mComposing-mCompositionStart.patch

[Approval Request Comment]
Regression caused by (bug #): N/A
User impact if declined: This is a code refactoring with no user visible changes.
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky): Merging subsequent patches from m-c to m-a will be more difficult.
String changes made by this patch: None
Comment 8 Alex Keybl [:akeybl] 2012-03-26 13:49:16 PDT
Comment on attachment 608758 [details] [diff] [review]
bug-738695-part-2-unify-redundant-mComposing-mCompositionStart.patch

[Triage Comment]
Mobile only - approved for Aurora 13.
Comment 11 Chris Peterson [:cpeterson] 2012-03-27 10:28:23 PDT
checkin-needed for mozilla-aurora

Note You need to log in before you can comment on or make changes to this bug.